sane-teco1(5)

BEZEICHNUNG
sane-teco1 - SANE-Backend für Scanner von TECO/RELISYS

BESCHREIBUNG
Die Bibliothek sane-teco1 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf einige TECO-SCSI-Flachbett-Scanner. Dieses Backend sollte als Beta-Qualität-Software betrachtet werden! TECO-Scanner werden unter verschiedenen Marken wie Relisys, Piotech und Trust verkauft. Dieses Backend könnte Ihren Scanner unterstützen oder auch nicht.

Die folgenden Scanner sollten mit diesem Backend funktionieren:

       Marke Modell           TECO-Modell     Status
    ----------------------  --------------  -----------
      Relisys AVEC 2400        VM3520        getestet
      Relisys AVEC 2412        VM3520+       getestet
      Relisys AVEC 4800        VM4530        nicht getestet
      Relisys AVEC 4816        VM4530+       nicht getestet
      Relisys RELI 2400        VM3530        nicht getestet
      Relisys RELI 2412        VM3530+       getestet
      Relisys RELI 2412        VM3530+       nicht getestet
      Relisys RELI 4816        VM4540        getestet
      Relisys RELI 4830        VM4542        getestet
      Relisys RELI 9600        VM6530        nicht getestet
      Relisys RELI 9612        VM6530*       nicht getestet
      Relisys RELI 9624        VM6530+       nicht getestet
      Relisys RELI 9630        VM6540        nicht getestet
      Relisys RELI DS15        VM3440        nicht getestet
      Relisys RELI DS6         VM3420        nicht getestet
      Dextra  DF-600P          VM3510        getestet
      Dextra  DF-4830T         VM4542        nicht getestet
      Dextra  DF-1200T+        VM3530+       nicht getestet
      Dextra  DF-9624          VM6530+       nicht getestet
Beachten Sie, dass nicht getestete Scanner nicht direkt unterstützt werden. Sie sollten dafür zum Autor Kontakt aufnehmen. Die TECO-VM-Nummer kann normalerweise auf der Rückseite des Scanners gefunden werden. Sie ist auch Teil der FCC-Kennung. sane-find-scanner -v wird auch die SCSI-Anfrage zeigen, und falls es ein TECO-Scanner ist, wird der Name auch dort sein. Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1) oder xsane(1) gesteuert werden.
Falls Sie mit einem hier nicht aufgeführten Scanner Erfolg haben oder falls Sie merkwürdiges Verhalten beobachten, berichten Sie das bitte (auf Englisch) an den Backend-Betreuer oder an die SANE-Mailingliste. Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:
    scanimage --help -d teco1

Scanmodus

--mode Black & White|Grayscale|Color
    wählt den grundlegenden Betriebsmodus des Scanners. Gültige Auswahlen sind Black & White, Grayscale und Color. Der Modus Black & White ist nur für schwarz und weiß (1 bit). Grayscale wird 256 Graustufen erzeugen (8 bit). Color erstellt ein 24-bit-Farbbild.

--resolution 1…600
    wählt die Scan-Auflösung. Der Scanner beherrscht alle Auflösungen von 1 bis 600 in Schritten von 1.

Geometrieoptionen

-l -t -x -y
    steuert den Scan-Bereich: -l setzt die obere linke x-Koordinate, -t die obere linke y-Koordinate, -x wählt die Breite und -y die Höhe des Scan-Bereichs. Alle Parameter werden standardmäßig in Millimetern angegeben.

Verbesserungsoptionen

--custom-gamma
    erlaubt dem Benutzer, eine Gamma-Tabelle anzugeben (nur im Farb-Modus, siehe die nächsten drei Parameter)

--red-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den roten Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. Nur im Farbmodus.

--green-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den grünen Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. Nur im Farbmodus.

--blue-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den blauen Kanal verwendet werden. Die Tabelle muss 256 byte lang sein. Nur im Farbmodus.

--dither Line art|2x2|3x3|4x4 bayer|4x4 smooth|8x8 bayer|8x8 smooth|8x8 horizontal|8x8 vertical
    wählt die zu verwendende Dither-Maske aus. Nur bei schwarz/weiß.

--preview
    fordert einen Vorschau-Scan an. Die verwendete Auflösung ist 22 DPI und der Scan-Bereich ist der größte erlaubte. Der Scan-Modus wird vom Anwender ausgewählt. Die Vorgabe ist »no«.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/teco1.conf unterstützt nur einen Eintrag: den Namen des zu verwendenden Geräts (zum Beispiel /dev/scanner).

DATEIEN

/usr/lib/sane/libsane-teco1.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-teco1.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_TECO1
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

EINSCHRÄNKUNGEN
Der TWAIN-Treiber für Windows verfügt über weitaus mehr Optionen als dieses SANE-Backend. Allerdings sind diese nur softwareseitige Anpassungen. Dieses Backend implementiert nur das, was der Scanner unterstützen kann.

FEHLER
Keine bekannt.

SIEHE AUCH
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTOR

Das Paket wird aktiv von Frank Zago betreut.
    http://www.zago.net/sane/#teco

DANKSAGUNGEN
Danke an Gerard Delafond für die VM4542-Unterstützung. Danke an Jean-Yves Simon für die VM3510-Unterstützung.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.